CALIBRE-SERVER(1)

NAME
calibre-server - part of calibre

SYNOPSIS
calibre-server [options]

DESCRIPTION

Start the calibre content server.

Whenever you pass arguments to calibre-server that have spaces in them, enclose the arguments in quotation marks.

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

-p, --port
    The port on which to listen. Default is 8080

-t, --timeout
    The server timeout in seconds. Default is 120

--thread-pool
    The max number of worker threads to use. Default is 30

--password
    Set a password to restrict access. By default access is unrestricted.

--username
    Username for access. By default, it is: 'calibre'

--develop
    Development mode. Server automatically restarts on file changes and serves code files (html, css, js) from the file system instead of calibre's resource system.

--max-cover
    The maximum size for displayed covers. Default is '600x800'.

--max-opds-items
    The maximum number of matches to return per OPDS query. This affects Stanza, WordPlayer, etc. integration.

SEE ALSO
The User Manual is available at http://calibre-ebook.com/user_manual

Created by Kovid Goyal <kovid@kovidgoyal.net>